com.holonplatform.vaadin.flow.components.builders

## Interface PropertyViewFormBuilder<C extends com.vaadin.flow.component.Component>

- Type Parameters:
    `C` - Content type
  All Superinterfaces:
    ComponentConfigurator<PropertyViewFormBuilder<C>>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ViewComponent<?>,PropertyViewGroup,PropertyViewFormBuilder<C>>, ComposableConfigurator<C,ViewComponent<?>,PropertyViewGroup,PropertyViewFormBuilder<C>>, HasElementConfigurator<PropertyViewFormBuilder<C>>, PropertyFormConfigurator<C,ViewComponent<?>,PropertyViewGroup,PropertyViewFormBuilder<C>>, PropertyViewGroupConfigurator<PropertyViewFormBuilder<C>>

      public interface PropertyViewFormBuilder<C extends com.vaadin.flow.component.Component>
      extends PropertyFormConfigurator<C,ViewComponent<?>,PropertyViewGroup,PropertyViewFormBuilder<C>>, PropertyViewGroupConfigurator<PropertyViewFormBuilder<C>>

  `PropertyViewForm` builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyViewForm` | `build()` Build the `PropertyViewForm`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyFormConfigurator

      `hidePropertyCaption, propertyCaption, propertyCaption, propertyCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComposableConfigurator

      `composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyViewGroupConfigurator

      `bind, bind, bind, hidden, withPostProcessor`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

- - ### Method Detail

    - #### build

          PropertyViewForm build()

      Build the `PropertyViewForm`.
      Returns:
        A new `PropertyViewForm`

Copyright © 2019 The Holon Platform. All rights reserved.